package javax.xml.crypto;

import java.io.PrintWriter;
import java.io.PrintStream;

public class KeySelectorException extends Exception
{
    private static final long serialVersionUID = -7480033639322531109L;
    private Throwable cause;
    
    public KeySelectorException() {
    }
    
    public KeySelectorException(String message) {
        super(message);
    }
    
    public KeySelectorException(String message, Throwable cause) {
        super(message);
        this.cause = cause;
    }
    
    public KeySelectorException(Throwable cause) {
        super((cause == null) ? null : cause.toString());
        this.cause = cause;
    }
    
    @Override
    public Throwable getCause() {
        return this.cause;
    }
    
    @Override
    public void printStackTrace() {
        super.printStackTrace();
    }
    
    @Override
    public void printStackTrace(PrintStream s) {
        super.printStackTrace(s);
    }
    
    @Override
    public void printStackTrace(PrintWriter s) {
        super.printStackTrace(s);
    }
}
